import React from "react";
import Head from "next/head";
import WaoClubBanner from "@/components/rendering/waoClubBanner";
import FrequetlyAskedQuestion from "@/components/rendering/frequentlyAskedQuestion";
import EsimConnectivity from "@/components/rendering/esimConnectivity";
import WaoClubMilestone from "@/components/rendering/waoClubMilestone";
import MilestoneLevel from "@/components/rendering/milestoneLevel";
import { parseCookies } from "nookies";
import { fetchFaqData } from "@/utils/api/faq";
import { handleOnFetchWaoClubData, splashAPICall } from "@/utils/api/profile";

const WaoClubPage = ({
  token,
  waoClubFAQ,
  waoClubResponse,
  splashResponse,
}: any) => {
  console.log("tokewaoClubResponsentoken", waoClubResponse);
  return (
    <>
      <Head>
        <title>WaoSim | WaoClub</title>
        <meta name="description" content="Generated by create next app" />
        <meta name="viewport" content="width=device-width, initial-scale=1" />
        <meta property="og:title" content="WaoSim" />
        <meta
          property="og:description"
          content="Description of your website."
        />

        <meta property="og:url" content="https://waosim.com/" />

        <meta
          property="og:image"
          content="https://stagecdn.waosim.com/landingpage/thumbnail.png?v=1"
        />
        <meta property="og:type" content="website" />

        <meta name="twitter:card" content="summary_large_image" />
        <meta name="twitter:title" content="WaoSim" />
        <meta
          name="twitter:description"
          content="Description of your website."
        />
        <meta
          name="twitter:image"
          content="https://stagecdn.waosim.com/landingpage/thumbnail.png?v=1"
        />

        <link rel="icon" href="/faviconIcon.svg" />
      </Head>
      <main>
        <WaoClubBanner />
        <WaoClubMilestone
          token={token}
          waoClubResponse={waoClubResponse}
          splashResponse={splashResponse}
        />
        <MilestoneLevel splashResponse={splashResponse} />
        <FrequetlyAskedQuestion data={waoClubFAQ} />
        <EsimConnectivity BottomSpace={true} />
      </main>
    </>
  );
};
export async function getServerSideProps(context: any) {
  const { req } = context;
  const cookies = parseCookies({ req });

  let payload = {
    waotoken: cookies?.waotoken,
    status: 2,
  };
  const { isError, response } = await fetchFaqData(payload);
  const { waoClubResponse } = await handleOnFetchWaoClubData({
    waotoken: cookies?.waotoken,
  });
  const { splashResponse } = await splashAPICall({
    waotoken: cookies?.waotoken,
  });

  return {
    props: {
      token: cookies?.waotoken || null,
      waoClubFAQ: response || null,
      waoClubResponse: waoClubResponse?.data || null,
      splashResponse: splashResponse?.data || null,
    },
  };
}

export default WaoClubPage;
